| Home | Libraries | People | FAQ | More

## Function template operator||

boost::algorithm::operator|| — predicate 'or' composition predicate

## Synopsis

    template<typename Pred1T, typename Pred2T>
      unspecified operator||(const predicate_facade< Pred1T > & Pred1,
                             const predicate_facade< Pred2T > & Pred2);

## Description

Construct the `class_or` predicate. This predicate can be used to logically combine two classification predicates. `class_or` holds, if one of the predicates return true.

Parameters: |
`Pred1` | The first predicate
`Pred2` | The second predicate
Returns: | An instance of the `class_or` predicate